/* eslint-env node */
require("@rushstack/eslint-patch/modern-module-resolution");

module.exports = {
  root: true,
  extends: [
    "plugin:vue/essential",
    "plugin:vue/strongly-recommended",
    "eslint:recommended",
    "prettier",
    "@vue/eslint-config-prettier",
  ],
  env: {
    es2021: true,
  },
  parserOptions: {
    ecmaVersion: "latest",
  },
  ignorePatterns: ["dist/*"],
};
