import components from "./components";
import Vue from "vue";
import VueInteractJs from "vue-interactjs";

Vue.use(VueInteractJs);

const plugin = {
  install(Vue) {
    for (const prop in components) {
      const component = components[prop];
      Vue.component(component.name, component);
    }
  },
};

export default plugin;
